View Issue Details

IDProjectCategoryView StatusLast Update
0029877LazarusDatabase Componentspublic2018-09-12 03:46
ReporterbetovgbtAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Platformwindows OSwindows 7 32OS Version32 bits
Product Version1.6.1 (SVN)Product Build 
Target Version1.8Fixed in Version1.7 (SVN) 
Summary0029877: DBGrid onDblClick event
Descriptionwhen DBGrid options with dgEditing=true the evento onDblClick do not work. Is a bug ?
Steps To Reproduceafter put the dbgrid component, run application, when dataset state= dsinsert or dsedit, and in cell dgEditing doubleclick do not work.
Additional Informationin delphi, this work fine
TagsNo tags attached.
Fixed in Revision52238
LazTarget1.8
Widgetset
Attached Files

Relationships

related to 0033888 closedJesus Reyes TStringGrid: the cell editor is not shown when double-clicking. 

Activities

betovgbt

2016-03-23 16:05

reporter   ~0091297

Now I noticed that the autoedit dbgrid property is changed to false, the double-click will function properly.
In this situation, the autoedit to false, should prevent automatic editing, which does not happen. Or what would be the purpose of autoedit? (In http://lazarus-ccr.sourceforge.net/docs/lcl/grids/tcustomgrid.html listed as automatic cell editing when you drive it)

Jesus Reyes

2016-03-23 21:51

developer   ~0091323

If you select a previously unselected cell with the mouse, the cell becomes selected, if AutoEdit is enabled, a new click on such selected cell should make the editor become visible i.e. the grid will enter in editor mode (if dgEditing is enabled)

betovgbt

2016-03-24 16:20

reporter   ~0091352

if default of autoedit was false I would not have reported this occurrence. It would be interesting to improve the definition and purpose of autoedit in lazarus manual.you could tell me where I could intercept an event before a double-click on a dbgrid?

Jesus Reyes

2016-04-23 07:36

developer   ~0092145

AutoEdit is now done on MouseUp and it will not be triggered if a DoubleClick is in course. Please test.

Issue History

Date Modified Username Field Change
2016-03-22 21:59 betovgbt New Issue
2016-03-22 23:56 Jesus Reyes Assigned To => Jesus Reyes
2016-03-22 23:56 Jesus Reyes Status new => assigned
2016-03-23 16:05 betovgbt Note Added: 0091297
2016-03-23 21:51 Jesus Reyes Note Added: 0091323
2016-03-24 16:20 betovgbt Note Added: 0091352
2016-04-23 07:36 Jesus Reyes Fixed in Revision => 52238
2016-04-23 07:36 Jesus Reyes LazTarget => 1.8
2016-04-23 07:36 Jesus Reyes Note Added: 0092145
2016-04-23 07:36 Jesus Reyes Status assigned => resolved
2016-04-23 07:36 Jesus Reyes Fixed in Version => 1.7 (SVN)
2016-04-23 07:36 Jesus Reyes Resolution open => fixed
2016-04-23 07:36 Jesus Reyes Target Version => 1.8
2018-09-12 03:46 Jesus Reyes Relationship added related to 0033888